These are chat archives for FreeCodeCamp/DataScience

4th
Oct 2017
evaristoc
@evaristoc
Oct 04 2017 08:54

@erictleung WPS seems to be a new analytical platform (https://www.worldprogramming.com) written in SAS. It might want to compete against similar analytical platforms written in other languages. Not sure how it looks, probably like Jupyter. It seems to create files with the *.wps extension. @gmayank32 apparently was asking about opening *.wps files with python.

@gmayank32 No idea.

Eric Leung
@erictleung
Oct 04 2017 09:34
@evaristoc mmm interesting. Thanks for digging around a little bit. Interesting that they'd go and make their own proprietary data format when they could just go with standard data formats like CSV or JSON...
CamperBot
@camperbot
Oct 04 2017 09:34
erictleung sends brownie points to @evaristoc :sparkles: :thumbsup: :sparkles:
:cookie: 373 | @evaristoc |http://www.freecodecamp.com/evaristoc
Nirmal Raisoni
@nirmalraisoni
Oct 04 2017 10:30
I am getting below error for tensorFlow

import tensorflow as tf
Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
return importlib.import_module(mname)
File "C:\ProgramData\Anaconda3\lib\importlib__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 978, in _gcd_import
File "<frozen importlib._bootstrap>", line 961, in _find_and_load
File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 648, in _load_unlocked
File "<frozen importlib._bootstrap>", line 560, in module_from_spec
File "<frozen importlib._bootstrap_external>", line 922, in create_module
File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
return importlib.import_module('_pywrap_tensorflow_internal')
File "C:\ProgramData\Anaconda3\lib\importlib__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow__init.py", line 24, in <module>
from tensorflow.python import *
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\
init.py", line 49, in <module>
from tensorflow.python import pywrap_tensorflow
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 52, in <module>
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
return importlib.import_module(mname)
File "C:\ProgramData\Anaconda3\lib\importlib\
init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 978, in _gcd_import
File "<frozen importlib._bootstrap>", line 961, in _find_and_load
File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 648, in _load_unlocked
File "<frozen importlib._bootstrap>", line 560, in module_from_spec
File "<frozen importlib._bootstrap_external>", line 922, in create_module
File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
return importlib.import_module('_pywrap_tensorflow_internal')
File "C:\ProgramData\Anaconda3\lib\importlib__init__.py", line 126, in import_m

can anyone help ?
evaristoc
@evaristoc
Oct 04 2017 12:27

@nirmalraisoni uff... that's an awful of an error message - too long... we should try another way to show those kind of errors next time.

I recommend you to read the Python errors, @nirmalraisoni : they are usually informative enough.

Not sure about your context. This seems to be the error:

ImportError: DLL load failed: The specified module could not be found.

I think the library to be found is pywrap_tensorflow? I think there is something about Windows installation in the issues of the tensorflow repository: https://github.com/tensorflow/tensorflow/issues/7623#issuecomment-280704672.

Not sure if that helps?

@erictleung sometimes the data format could make a difference. Some of them might be more efficient to keep data, for example. Others are optimised for search. I know a couple of cases. I will mention one sure this week for you, in Python.
evaristoc
@evaristoc
Oct 04 2017 13:24
But I think your concern is different @erictleung? In that case, you are right : it is annoying when they just try proprietary formats. In any case, the platform doesn't seem entirely open.
Alice Jiang
@becausealice2
Oct 04 2017 18:13
proprietary data formats make me nervous. Very exclusive/elitist feel to it.... like Microsoft and apple products.